<!DOCTYPE html>
<html>

<head>
    <title>Create Payment</title>
    <link rel="stylesheet" href="CSS/bootstrap.min.css">
    <link rel="stylesheet" href="CSS/main.css">
    <link rel="icon" type="image/ico" href="images/ripple-icon.png">
</head>

<body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <a class="navbar-brand" href="index.html">XRP-COP</a>
        <a href="check_address.html" class="nav-item">Check Address</a>
        <a href="create_address.html" class="nav-item">Create Address</a>
        <span style="min-width: 200px;"></span>
        <a href="https://xrpl.org/get-started-with-rippleapi-for-javascript.html" class="nav-item navdar-text"
            target="_blank">RippleAPI for JavaScript</a>
    </nav>

    <div>
        <span style="float: right; border: 10px 20px; position: fixed; right: 20px; top: 10px">
            <button class="btn btn-sm btn-secondary" id="TestNetButton">TestNet</button>
            &nbsp;<button class="btn btn-sm btn-primary" id="MainNetButton">MainNet</spbuttonan>
        </span>
    </div>

    <h1 class="page-title">Create Payment</h1>

    <div class="container" style="margin-top: 25px;">   
        <div class="row">
            <div class="col-sm-6">
                <h2>Source</h2>
                <div class="form-group">
                    <label class="col-form-label col-form-label-sm">Address</label>
                    <input type="text" class="form-control form-control-sm w90p" id="sourceAddress" >
                </div>
                <div class="form-group">
                    <label class="col-form-label col-form-label-sm">Secret</label>
                    <input type="password" class="form-control form-control-sm w90p" id="sourceSecret">
                </div>
            </div>
            <div class="col-sm-6">
                <h2>Destination</h2>
                <div class="form-group">
                    <label class="col-form-label col-form-label-sm">Address</label>
                    <input type="text" class="form-control form-control-sm w90p" id="destinationAddress">
                </div>
                <div class="form-group">
                    <label class="col-form-label col-form-label-sm">Tag</label>
                    <input type="text" class="form-control form-control-sm w90p" id="destinationTag">
                </div>
            </div>
            <div class="col-sm-12">
                <div class="form-group">
                    <label>Amount (XRP)</label>
                    <input type="number" class="form-control form-control-sm" style="width: 10em" id="amount">
                </div>
            </div>
        </div> 

        <p></p>

        <div id="error" style="display: none; margin-bottom: 15px;" class="alert alert-danger"></div>
        <button type="submit" id="submitButton" class="btn btn-primary">Execute</button>        
    </div>

    <!-- progress -->
    <div id="progressContainer" class="container" id="resultContainer" style="margin-top: 3%; display: none;">
        <div id="progressStep"></div>
        <div class="progress" id="progressBar">
            <div class="progress-bar progress-bar-striped" role="progressbar" style="width: 25%" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
        </div>
    </div>

    <!-- result -->
    <div class="container" id="resultContainer" style="margin-top: 3%; display: none;">      
        <table class="table table-sm">
            <tr>
                <th>Result</th><td id="tdResult" ></td>
            </tr>
            <tr>
                <th>Fee</th><td id="tdFee"></td>
            </tr>
            <tr>
                <th>Sequence</th><td id="tdSequence" style="color:#999999"></td>
            </tr>
            <tr>
                <th>TxID</th><td id="tdTxID" ></td>
            </tr>
        </table>
    </div>

    <script src="JS/libs/lodash.min.js"></script>
    <script src="JS/libs/jquery-3.4.1.min.js"></script>
    <!-- copied from node_modules/ruipple-lib/build -->
    <script src="JS/libs/ripple-1.3.4-min.js"></script>
    <script src="JS/main.js"></script>
    <script src="JS/create_payment.js"></script>

</body>

</html>